FreeMat

- Main Page
- Related Pages

vtkPNGReader

Section: Visualization Toolkit IO Classes

# Usage

vtkPNGReader is a source object that reads PNG files. It should be able to read most any PNG file

To create an instance of class vtkPNGReader, simply invoke its constructor as follows

      obj = vtkPNGReader

# Methods

The class vtkPNGReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPNGReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPNGReader = obj.NewInstance ()`
- `vtkPNGReader = obj.SafeDownCast (vtkObject o)`
- `int = obj.CanReadFile (string fname)` - Is the given file a PNG file?
- `string = obj.GetFileExtensions ()` - Return a descriptive name for the file format that might be useful in a GUI.
- `string = obj.GetDescriptiveName ()`